## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class UserDefinedTypeImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                  org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl

All Implemented Interfaces:
  DataType, UserDefinedType, SQLObject

Direct Known Subclasses:
  DistinctUserDefinedTypeImpl, StructuredUserDefinedTypeImpl

    public abstract class UserDefinedTypeImpl

extends DataTypeImpl
implements UserDefinedType

An implementation of the model object 'User Defined Type'.

The following features are implemented:

- `Schema`
- `Ordering`

Method Summary
`Schema` `basicGetSchema()`
`NotificationChain` `basicSetOrdering(UserDefinedTypeOrdering newOrdering, NotificationChain msgs)`
`NotificationChain` `basicSetSchema(Schema newSchema, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`UserDefinedTypeOrdering` `getOrdering()`
`Schema` `getSchema()`
`void` `setOrdering(UserDefinedTypeOrdering newOrdering)`
`void` `setSchema(Schema newSchema)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSchema

    public Schema getSchema()

  Specified by:
    `getSchema` in interface `UserDefinedType`
  Returns:
    the value of the 'Schema' reference.
  See Also:
    `UserDefinedType.setSchema(Schema)`, `SQLDataTypesPackage.getUserDefinedType_Schema()`, `Schema.getUserDefinedTypes()`

### basicGetSchema

    public Schema basicGetSchema()

### basicSetSchema

    public NotificationChain basicSetSchema(Schema newSchema,
                                            NotificationChain msgs)

### setSchema

    public void setSchema(Schema newSchema)

  Specified by:
    `setSchema` in interface `UserDefinedType`
  Parameters:
    `newSchema` - the new value of the 'Schema' reference.
  See Also:
    `UserDefinedType.getSchema()`

### getOrdering

    public UserDefinedTypeOrdering getOrdering()

  Specified by:
    `getOrdering` in interface `UserDefinedType`
  Returns:
    the value of the 'Ordering' containment reference.
  See Also:
    `UserDefinedType.setOrdering(UserDefinedTypeOrdering)`, `SQLDataTypesPackage.getUserDefinedType_Ordering()`

### basicSetOrdering

    public NotificationChain basicSetOrdering(UserDefinedTypeOrdering newOrdering,
                                              NotificationChain msgs)

### setOrdering

    public void setOrdering(UserDefinedTypeOrdering newOrdering)

  Specified by:
    `setOrdering` in interface `UserDefinedType`
  Parameters:
    `newOrdering` - the new value of the 'Ordering' containment reference.
  See Also:
    `UserDefinedType.getOrdering()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.